For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channel Metafields
              • POSTCreate Multiple Metafields
              • PUTUpdate Multiple Metafields
              • DELDelete Multiple Metafields
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsBatch Metafields

List Channel Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/channels/metafields
GET
/stores/:store_hash/v3/channels/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/channels/metafields \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "permission_set": "app_only",
5 "namespace": "Sales Department",
6 "key": "Staff Name",
7 "value": "Ronaldo",
8 "description": "order",
9 "resource_type": "cart",
10 "resource_id": 424242,
11 "id": 1,
12 "date_created": "2022-06-16T18:39:00+00:00",
13 "date_modified": "2022-06-16T18:39:00+00:00",
14 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf"
15 }
16 ],
17 "meta": {
18 "pagination": {
19 "total": 36,
20 "count": 36,
21 "per_page": 50,
22 "current_page": 1,
23 "total_pages": 1,
24 "links": {
25 "previous": "string",
26 "current": "?page=1&limit=50",
27 "next": "string"
28 }
29 }
30 }
31}
Get all channel metafields.
Was this page helpful?
Previous

Get Channel Active Theme

Next

Create Multiple Metafields

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

key:inlist of stringsOptional

Filter based on comma-separated metafieldʼs keys. Could be used with vanilla key query parameter.

namespacestringOptional

Filter based on a metafieldʼs namespace.

namespace:inlist of stringsOptional

Filter based on comma-separated metafieldʼs namespaces. Could be used with vanilla namespace query parameter.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

date_modified:minstringOptional

Filter items by minimum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified after this date.

date_modified:maxstringOptional

Filter items by maximum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified before this date.

date_created:minstringOptional

Filter items by minimum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created after this date.

date_created:maxstringOptional

Filter items by maximum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created before this date.

Response

List of Metafield objects.

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.